Get Products

Retrieves a list of products within the system that are available for shipping. With this endpoint, you can search for specific products based on various criteria and that provides relevant product details in the response. It is essential for inventory management, order processing, and logistics planning.

Query Params
string

A string representing the term or keywords used to filter the search results for the products. This parameter helps you find specific products by name, SKU, or other relevant features.

int32
1 to 2147483647
Defaults to 100

An integer that defines the number of product records returned per page in the response. For instance, if pageSize is set to 20, the API will return up to 20 products in each response.

Note: By default, this field is set to 100.

int32
1 to 2147483647
Defaults to 1

An integer indicating the specific page of results to retrieve, allowing for pagination of larger datasets. For example, if pageNumber is set to 3, the API will return the results corresponding to the third page of products based on the specified pageSize.

Note: By default, this field is set to 1.

string
enum

A string specifying the field by which to organise the search results. For instance, "Weight" could be used to sort products on weight values, arranging the results in a more user-friendly order.

Note: By default, this field is set to Description.

string
enum

A string indicating the direction in which to sort the results, typically set to "ascending" or "descending." For example, setting sortDir to "Ascending" while using "Weight" as sortBy would arrange the products from lower to higher weight values.

Note: By default, this field is set to Ascending.

Allowed:
Responses

401

Unauthorized

403

Forbidden

500

Internal Server Error

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json